import { OnInit } from "@angular/core";
import { AxiosApiClient, DataTypeDto } from "@smallstack/axios-api-client";
import { DataStore } from "@smallstack/common-components";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { NotificationService } from "@smallstack/i18n-components";
import { PageableCrudStore, PageableStore } from "@smallstack/store";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class CreateDataWidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    private dataStore;
    private notificationService;
    store: PageableCrudStore | PageableStore;
    dataType: DataTypeDto;
    schema: SchemaFormSchema;
    model: any;
    loading: boolean;
    static getConfiguration(): SchemaFormSchema;
    constructor(axiosApiClient: AxiosApiClient, dataStore: DataStore, notificationService: NotificationService);
    ngOnInit(): void;
    private init;
    createNewData(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateDataWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateDataWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
