import { OnInit } from "@angular/core";
import { AxiosApiClient, UserDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ProfileWidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    profile: UserDto;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(axiosApiClient: AxiosApiClient);
    ngOnInit(): void;
    computeProfile(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileWidgetComponent, "profile-widget", never, {}, {}, never, never, false, never>;
}
