import { OnInit } from "@angular/core";
import { AxiosApiClient, UserDto } from "@smallstack/axios-api-client";
import { FormService } from "@smallstack/widget-core";
import { NotificationService } from "@smallstack/i18n-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { UserService } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class CustomerProfileWidgetComponent extends BaseWidgetComponent implements OnInit {
    private userService;
    private axiosApiClient;
    private notificationService;
    userProfileSchema$: Observable<SmallstackTypeSchema>;
    formService: FormService;
    customer: UserDto;
    constructor(userService: UserService, axiosApiClient: AxiosApiClient, notificationService: NotificationService);
    ngOnInit(): void;
    saveUserProfile(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomerProfileWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomerProfileWidgetComponent, "customer-profile-widget", never, {}, {}, never, never, false, never>;
}
